%define tse_ver 0.2.7

Name: noteedit
Version: 2.3.2
Release: alt1

Summary: Score editor with extensive Midi functionality.
Summary(ru_RU.KOI8-R):     Midi.
Group: Sound
License: GPL
Url: http://rnvs.informatik.tu-chemnitz.de/~jan/%name/%name.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
Source4: http://rnvs.informatik.tu-chemnitz.de/cgi-bin/nph-sendbin.cgi/~jan/%name/bee5.not.bz2

Requires: kdelibs-gcc_compiled = %__gcc_version_base
Requires: lib%name = %version-%release, lib%name-gcc_compiled = %__gcc_version_base
Requires: libtse3 >= %tse_ver, libtse3-gcc_compiled = %__gcc_version_base

BuildPreReq: bison >= 1.875-alt2

# Automatically added by buildreq on Fri Nov 07 2003
BuildRequires: XFree86-devel XFree86-libs flex fontconfig freetype2 gcc-c++ glibc-devel-static kde-settings kdelibs-devel kdemultimedia-arts libGLU libGLwrapper libalsa-devel libart_lgpl-devel libarts-devel libaudio libaudiofile-devel libexpat libjpeg-devel liblcms libmad-devel libmng libogg-devel libpng-devel libqt3-devel libstdc++-devel libtse3-devel libvorbis-devel libxslt xml-utils zlib-devel

%description
Noteedit is a score editor based on the Midi library TSE3. It can read
and write Midi files and process events sent from an external Midi
keyboard. The configured Midi devices of the system can be used to
playback the score. The score can be saved as MusiXTeX file for printout.

%description -l ru_RU.KOI8-R
Noteedit -   ( ),  
Midi- TSE3.      Midi    
 Midi .   Midi 
    .  
    MusiXTeX  Lilypond  
  .

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries
Provides: lib%name-gcc_compiled = %__gcc_version_base
Requires: kdelibs-gcc_compiled = %__gcc_version_base

%description -n lib%name
This package contains shared library required for %name to work.

%description -n lib%name -l ru_RU.KOI8-R
 ,      %name.

%define customdocdir %_docdir/%name-%version

%prep
%setup -q

%build
%configure \
	--disable-rpath \
	--disable-static \
	--enable-shared \
	--disable-debug \
	--program-prefix=""

# SMP-incompatible build
%make

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot%_datadir/apps/%name/icons
%__mkdir_p %buildroot%customdocdir/{examples,lyrics}
%__install -p -m644 README AUTHORS FAQ* %buildroot%customdocdir/
%__install -p -m644 %SOURCE4 noteedit/examples/example*.not %buildroot%customdocdir/examples/
%__install -p -m644 noteedit/lyrics/*.txt %buildroot%customdocdir/lyrics

# Install menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Multimedia/Sound" title="Noteedit" \
longtitle="Score editor" command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

# find language specific KDE help files
echo '%defattr(644,root,root,755)' >>"%name.lang"
    find "%buildroot" -type d |sed '
s:'"%buildroot"'::
s:\(.*/share/doc/HTML/[^/_]\+'"%name"'\)$:%dir \1:
s:\(.*/share/doc/HTML/\)\([^/_]\+\)\(/'"%name"'\):%lang(\2) %dir \1\2\3:
s:^\([^%].*\)::
s:%lang(en) ::
    ' |grep -v '^$' >> "%name.lang"

    find "%buildroot" -type f |sed '
s:'"%buildroot"'::
s:\(.*/share/doc/HTML/\)\([^/_]\+\)\(/'"%name"'/.*\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(en) ::
    ' |grep -v '^$' >> "%name.lang"

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post
%update_menus

%postun
%clean_menus

%files -n lib%name
%_libdir/*.so.*

%files -f %name.lang
%_bindir/%name
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.*
%_datadir/apps/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
#
%_menudir/%name
%_datadir/applnk/*/*.desktop
#
#%doc %_docdir/HTML/*/%name
%doc %customdocdir

%changelog
* Fri Nov 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Sun Sep 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Jul 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Fri Jun 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Thu Apr 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sun Mar 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0 

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.19-alt1
- 2.0.19

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.18-alt1
- 2.0.18

* Fri Nov 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.17-alt1
- 2.0.17

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.16-alt2
- Rebuild with new QT3/KDE3. 

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.16-alt1
- new version
- built with gcc3.2

* Sat Aug 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.10-alt1
- 2.0.10
- built with newer tse3-0.2.5

* Thu Jun 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4 

* Mon Jun 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuilt with newer tse3-0.2.3

* Thu Jun 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1 
- qt3/kde3, alsa2 only supported now.

* Tue May 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.18.3-alt2
- rebuilt with qt3/kde3, tse3-0.1.3 
- buildrequires updated.

* Sat Apr 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.18.3-alt1
- 1.18.3  
- alsa2 by default.
- qt_ver option.

* Wed Feb 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17.1-alt1
- new version

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.17.0-alt4
- Updated buildrequires.
- Moved shared library to lib%name subpackage.

* Mon Feb 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt3
- build process corrected for bison 1.32

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt2
- cleanups

* Mon Jan 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt1
- Updated to 1.17

* Tue Dec 20 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.16.1-alt1
- Updated to 1.16.1, built with new TSE3 library (0.1.2)

* Tue Dec 11 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.15.3-alt1
- Updated to 1.15.3.

* Tue Nov 6 2001 - Yuri N. Sedunov <aris@altlinux.ru> 1.15.2-alt4
- Minor specfile cleanup. Automatically added buildrequres.

* Mon Nov 5 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt3
_ rebuilt with reorganized tse3

* Sat Nov 3 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt2
- rebuilt with modified tse3 (arts support disabled)

* Wed Oct 31 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt1
- First build for Sisyphus
